﻿@using DTO;
@{
    ViewBag.Title = "IntentionCustomer";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";


}
@section headerStyle{
    <script type="text/javascript">
        var khlxs = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.khlx))';
        var khlys = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.khly))';
        var hyfls = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.hyfl))';
        var users = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.users))';
        var shengDropDown = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.ShengDropDown))';
        var Creater = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Creater))';
        var shifou = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.shifou))';

        @*var Customertype = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Customertype))';*@

        var Baomingtimebegin = '@Html.Raw(ViewBag.Baomingtimebegin)';
        var Baomingtimeend = '@Html.Raw(ViewBag.Baomingtimeend)';
        var Huiyuanid = '@Html.Raw(ViewBag.Huiyuanid)';
        var CustomerId1 = '@Html.Raw(ViewBag.CustomerId)';
       /* alert(CustomerId);*/
        loseherght = 60;
        gridConfig = { multiselect: true, selectcol: "Id" };
        dataCol = [
            {
                label: 'id', name: 'Id', labtype: 'txt', hidden: true
            },
            { label: '建档时间', name: 'CreatetimeName', labtype: 'txt', hidden: false, width: 100 },
            {
                label: '客户单位', name: 'Name', labtype: 'txt', hidden: false, width: 400
            },

            { label: '联系电话', name: 'Tel', labtype: 'txt', hidden: false, width: 100 },
            { label: '所属区域', name: 'ShengName', labtype: 'txt', hidden: false, width: 100  },
            { label: '客户来源', name: 'KhlyName', labtype: 'txt', hidden: false, width: 100  },
            { label: '行业分类', name: 'HyflName', labtype: 'txt', hidden: false, width: 100 },
            { label: '客户类型', name: 'KhlxName', labtype: 'txt', hidden: false, width: 100},
            { label: '业务经理', name: 'YwjlName', labtype: 'txt', hidden: false, width: 100 },
            { label: '客户种类', name: 'Customertype', labtype: 'txt', hidden: false, width: 100 },

        ];
        dataUrl = "/IntentionCustomer/GetListSelectHuiyuan?Createtime=" + Baomingtimebegin + "|" + Baomingtimeend;
        searchCol = [
            { label: '客户来源', name: 'Khly', labtype: 'combox', hidden: false, data: JSON.parse(khlys), cwidth: '5%', cccwidth: '8%' },
            { label: '行业分类', name: 'Hyfl', labtype: 'combox', hidden: false, data: JSON.parse(hyfls), cwidth: '5%', cccwidth: '15%' },
            { label: '客户类型', name: 'Khlx', labtype: 'combox', hidden: false, data: JSON.parse(khlxs), cwidth: '5%', cccwidth: '8%' },
            { label: '业务经理', name: 'Ywjl', labtype: 'combox', hidden: false, data: JSON.parse(users), cwidth: '5%', cccwidth: '8%' },

            { label: '省', name: 'Sheng', labtype: 'combox', hidden: false, data: JSON.parse(shengDropDown), cwidth: '5%', cccwidth: '8%' },
            { label: '市', name: 'City', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '1%', cccwidth: '8%' },
            { label: '区县', name: 'AreaId', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '2%', cccwidth: '8%' },
            { label: '客户单位', name: 'Name', labtype: 'txt', hidden: false },
            { label: '建档时间', name: 'Createtime', labtype: 'datearea', hidden: false },
           /* { label: '客户种类', name: 'Customertype', labtype: 'combox', hidden: false, data: JSON.parse(Customertype), cwidth: '5%', cccwidth: '8%' },*/


        ];


         var _pageSearch = function () {
            $("#jqGrid").jqGrid('setGridParam', {
                url: dataUrl = "/IntentionCustomer/GetListSelectHuiyuan", postData: jsons, page: 1
            }); //重新载入
            var jsons = GetSearchEnd();
            if (jsons == false) {
                msg.info("请录入查询条件");
                return false;
            }
            LoadGrid(jsons);
        }
        var BeforeSelectRow = function () {
            $("#jqGrid").jqGrid('resetSelection');
            return (true);
        }



        var _pageZhuanyi = function () {

            var duanxin = GetGridSelect();
            var baifangid = "";
            if (duanxin != '') {


                for (var i = 0; i < duanxin.length; i++) {

                    baifangid += duanxin[i] + ',';
                    var rowData = $("#jqGrid").jqGrid('getRowData', duanxin[i]);

                    if (rowData.Tel == null || rowData.Tel == "") {
                        toastr.error("请补充客户联系电话");
                        return;
                    }

                    /*  alert(rowData.Id + ";" + rowData.Name + ";" + rowData.Tel + ";" + rowData.Customertype);*/
                    var data = { CustomerId: rowData.Id, Huiyuanid: Huiyuanid, khlx: rowData.Customertype, CustomerIddel: CustomerId1 }
                    $.ajax({
                        type: "POST",
                        url: "/IntentionCustomer/Savezaizhiqiye",
                        dataType: "json",
                        global: false,
                        data: data,
                        success: function (data) {



                            if (data.Result) {
                                //  parent._afterSave(true);
                                parent.layer.msg('成功保存', { icon: 6 });
                                //window.location = "/Project/add?id=" + data.ReturnID;


                                try {
                                    _pageAutoClose();//自动关闭页面方法
                                }
                                catch (err) {
                                    parent._CloseTab1("/IntentionCustomer/Edit/");
                                }

                            }
                            else {
                                // toastr.error("失败");
                                parent.layer.msg(data.Message, { icon: 5 });
                            }

                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });

                }



            } else {
                toastr.error("请选择客户");
                return;
            }


        }




        function _pageAutoClose() {
            try {
                parent.window._reloadPageData();
            }
            catch (err) {

            }


            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.isRefresh = true;
            parent.layer.closeAll('loading');
            parent.layer.close(index);
            return false;
        }









        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除失败");
        /**/
    }
        }

    </script>
}

@section footerScripts{
    <script type="text/javascript">

        function send() {

            var msg = $("#PBSSheng");


            if (msg.length > 0) {
                $("#PBSSheng").change(function () {
                    var sheng = $("#PBSSheng").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getCity?shengid=" + sheng,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {

                            var city = $("#PBSCity");
                            city.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            city.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    city.append(o);
                                }
                            }
                            $("#PBSCity").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(send, 1000);
            }
        }


        send();



        function sendCity() {

            var msg = $("#PBSCity");


            if (msg.length > 0) {
                $("#PBSCity").change(function () {

                    var city = $("#PBSCity").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getAreaId?cityid=" + city,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {

                            var quxian = $("#PBSAreaId");
                            quxian.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            quxian.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    quxian.append(o);
                                }
                            }
                            $("#PBSAreaId").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });

            } else {
                setTimeout(sendCity, 1000);
            }
        }


        sendCity();


        $(function () {



            $("#PBSCreatetimeend").val(Baomingtimeend);

            $("#PBSCreatetimestart").val(Baomingtimebegin);

            //$("#PBSCustomertype").val("01");
            //$("#PBSCustomertype").trigger('chosen:updated');//更新选项

            $("#cb_jqGrid").hide();

            

        });

 

    </script>
}
